
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.table.*;
import java.sql.*;
import java.util.*;
/**
 * Combo Model Generico para cualquier tipo de objeto
 * 
 * @author G. Cherencio
 * @version 1.0
 */
public class MyComboModel<E> implements ComboBoxModel<E> {
    private ResultSet rs = null;
    private List<E> lst = new ArrayList<E>();
    private Object selected = null;
    
    /**
     * Constructor for objects of class MyComboModel
     */
    public MyComboModel(List<E> l) {
        lst=l;
    }
    // IMPLEMENTO INTERFASE ComboBoxModel
    public void setSelectedItem(Object anItem) {
        selected = anItem;
        if ( anItem != null ) {
            int pos = lst.indexOf(anItem);
            if ( pos != -1 ) selected = lst.get(pos);
            else selected = null;
        }
    }
    public Object getSelectedItem() { return selected; }
    
    
    // IMPLEMENTO INTERFASE ListModel
    public void addListDataListener(ListDataListener l) {
    }
    public E getElementAt(int index) { return lst.get(index); }
    public int getSize() { return lst.size(); }
    public void removeListDataListener(ListDataListener l) {}

}
